###################################################
#### Visualise and check of parameter samples ####
###################################################
# choose file with parameter iterations (..._para.csv)
datap = read.csv(file.choose())

# get parameters
par = as.data.frame(table(datap$parameter_id))[,1]
me = as.data.frame(table(datap$microenvironment_id))[,1]

# loop through parameters
for(i in 1:length(par)){
	for(j in 1:length(me)){
		data.sub = subset(datap,parameter_id==par[i]
			&microenvironment_id==me[j], 
			select=value)
		if(length(data.sub$value>0)){
			m = mean(data.sub$value)
			s = sd(data.sub$value)
			print(paste(par[i],", ",me[j],", mean: ",
				round(m,digits=2),", sd: ",round(s,digits=2),sep=""))
			# plot histogram
			hist(data.sub$value, main=paste(par[i],", ",me[j],sep=""),freq=F)
			curve(dlnorm(x,mean.log(m,s),sd.log(m,s)),add=T)
		}
	}
}
# you can now compare the results with the data from the parameter_distribution.csv input file

### functions for conversion ###
mean.log = function(m,s){
mu = log(m^2*sqrt(1/(s^2+m^2)))
return(mu)
}

sd.log = function(m,s){
sigma = sqrt(log(s^2/m^2+1))
return(sigma)
}
