###################################################
####### Comparison of LAMA results #######
###################################################

##################### for grid based results ####################
library(rgdal)
# change these to your system paths
LAMA.folder = "C:/LAMA"
LAMA.vis = "C:/LAMA/output/vis/"

# read scenario and country table
scenarios = read.csv(paste(LAMA.folder,"/input/metadata/scenario.csv",sep=""))
it=10000

# read files
# C:\LAMA\output\vis\2010BAU\EU_2010BAU_PM2.5_i10000__all_mean.asc 
for(i in 1:6){
	scenario=as.character(scenarios$scenario_type[i])
	print(paste("Parsing now scenario:",scenario))
	data.m = readGDAL(paste(LAMA.vis,
		scenario,"/EU_",scenario,
		"_PM2.5_i",it,"__all_mean.asc",sep=""))
	if(i==1){
		means = data.m[[1]]
	}
	else{
		means = cbind(means,data.m[[1]])
	}
}

data.m@data = data.frame(2010BAU=means[,1],2020BAU=means[,2],
	2020Policy=means[,3], 2030BAU=means[,4], 2030Policy=means[,5],
     	2050BAU=means[,6])
#,2050Policy=means[,7], 2050Biomass=means[,8], 2050Insulation=means[,9],
	 2050Renovation=means[,10]

# plot maps
spplot(data.m)

##################### Preparation #######################
#### Set local directories ####
# change these to your system paths
LAMA.folder = "C:/LAMA"

# read scenario and country table
scenarios = read.csv(paste(LAMA.folder,"/input/metadata/scenario.csv",sep=""))
countries = read.csv(paste(LAMA.folder,"/input/metadata/country.csv",sep=""))

# add information about the country and scenario you selected
# change if necessary
#c = 1
s = 1
it=10000

# get values
scenario=as.character(scenarios$scenario_type[s])
#country=as.character(countries$Country_name[c])
#countryID=as.character(countries$ISO2[c])

# show scenario and country values
#print(paste("Selected country:",country))
print(paste("Selected scenario:",scenario))

##### Calculate averages for countries

# set working directory
setwd(paste("D:/HEIMTSA/MegaCase/results/",scenario, sep=""))

# get LAMA files
# e.g. AT_2010BAU_PM2.5_i10000_subgroups
for(i in 1:30){
	countryID=as.character(countries$ISO2[i])
	print(paste("Parsing now country:",countryID))
	data.c = read.csv(paste(LAMA.folder,"/output/",
		scenario,"/country/",countryID,"_",scenario,
		"_PM2.5_i",it,"_subgroups.csv",sep=""))
	mean.c = apply(data.c[,2:(it+1)],1,mean)
	sd.c
	if(i==1){
		mean.EU = mean.c
	}
	else{
		mean.EU = cbind(mean.EU,mean.c)
	}
}

# Change the filename here
filename = ""

# load data
data.all = read.csv(paste("C:/LAMA/output/2010BAU/",filename,"csv",sep=""))


# calculate averages per subgroup
mean = apply(data.ETS[2:it+1],1,mean)