package de.ifgi.exposure.io;

import java.io.BufferedWriter;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStreamWriter;
import java.util.logging.Level;

import de.ifgi.exposure.control.LogFile;

public class AguilaManager {

	private String worldFile;
	public AguilaManager(String worldShapefile){
		worldFile = worldShapefile;
	}
	
	public void startAguilaSimple(String batchFile, String filename){
		String[] s = filename.split("//");
		String aguilaCmd = "aguila "+s[s.length-1];//+" + "+worldFile+"/"+worldFile;
		writeBatchFile(batchFile+".bat", aguilaCmd);
		
		// write batchfile for Shapefile
		String countryCmd = aguilaCmd +" + "+worldFile+"/"+worldFile;
		writeBatchFile(batchFile+"_withWorldShapefile.bat", countryCmd);
		
		executeBatchFile(batchFile+".bat");
	}
	
	public void startAguilaQuantiles(String batchFile, String quantilesFile){
		// write command for quantiles view
		String[] s = quantilesFile.split("//");
		String aguilaCmd = "aguila -q[0.01,0.99,0.01] "+s[s.length-1];// +" + "+worldFile+"/"+worldFile;
		System.out.println(aguilaCmd);
		writeBatchFile(batchFile+".bat", aguilaCmd);
		
		// write batchfile for Shapefile
		String countryCmd = aguilaCmd +" + "+worldFile+"/"+worldFile;
		writeBatchFile(batchFile+"_withWorldShapefile.bat", countryCmd);
		
		executeBatchFile(batchFile+".bat");
	}
	
	private void writeBatchFile(String filename, String content){
		try{
			BufferedWriter out = new BufferedWriter(new OutputStreamWriter(
					new FileOutputStream(filename)));
			
			// write Aguila command
			out.write(content);
			out.newLine();
			out.close();
		}
		
		catch(Exception e){
			System.out.println("Exception during writing file: "+ filename+"\n"+e.getMessage());
			LogFile.logger.log(Level.SEVERE,"Exception during writing file: "+ filename+"\n"
					+e.getMessage()+ " Cause "+ e.getCause());

		}
	}
	
	private void executeBatchFile(String filename){
		try{
			Runtime.getRuntime().exec(filename);
		}
		catch(IOException e){
			System.out.println("Error creating the FileInfo panel: " +
					e);
					e.printStackTrace();
		}
	}
	
}
