package de.ifgi.exposure.statistics;

import java.util.Arrays;

/***
 * Class to store realisation arrays and to calculate statistics from them
 * @author l_gerh01
 *
 */
public class Realisations {

	private float[] data;
	
	public Realisations(float[] data){
		this.data = data;
	}
	
	public Realisations(){
	}
	
	// STATISTICS
	public float get_mean() {		
		// calculate mean
		float mean = 0;
		for(int i=0; i<data.length; i++){
			mean += data[i]/data.length;
		}
		return mean;
	}
	
	public float get_standard_deviation(){
		// calculate standard deviation
		float standard_deviation = 0;
		float var = 0;
		float mean = this.get_mean();
		for(int i=0; i<data.length; i++){
			var += Math.pow((mean-data[i]),2)/(data.length-1);
		}
		standard_deviation = (float)Math.sqrt(var);
		return standard_deviation;
	}
	
	public float get_quantile(float level){		
		// sort Array
		float[] quantile_data = data;
		Arrays.sort(quantile_data);
		
		// array index of the quantile level
		float index = level*quantile_data.length;
		if(level>0.01)
			index--;
		float q = quantile_data[(int)index];
		return q;
	}
	
	
}
